FF10, here we go again

2134 views
Skip to first unread message

Dimitrijević Ivan

unread,
Feb 1, 2012, 9:17:08 AM2/1/12
to google-we...@googlegroups.com
Google please provide us FF10 compatible addon.

10x

David Guo

unread,
Feb 1, 2012, 9:20:41 AM2/1/12
to google-we...@googlegroups.com
looking forward to the new GWT plugin for FF10

Adam

unread,
Feb 1, 2012, 1:06:50 PM2/1/12
to google-we...@googlegroups.com
Well, hopefully their long term support of FF10, will allow it to be used for GWT dev for a while w/o all the hassle of updates all the time.

Alan Leung

unread,
Feb 1, 2012, 2:59:56 PM2/1/12
to google-we...@googlegroups.com
I've been working on it.

Just FYI, the forward compatibility feature in FF10 doesn't apply to binary extensions so it won't make this process simpler in any way. :(

-Alan

On Wed, Feb 1, 2012 at 6:20 AM, David Guo <angel...@gmail.com> wrote:
looking forward to the new GWT plugin for FF10

--
You received this message because you are subscribed to the Google Groups "Google Web Toolkit" group.
To view this discussion on the web visit https://groups.google.com/d/msg/google-web-toolkit/-/zkvPoc0BRWQJ.

To post to this group, send email to google-we...@googlegroups.com.
To unsubscribe from this group, send email to google-web-tool...@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/google-web-toolkit?hl=en.

Alan Leung

unread,
Feb 2, 2012, 1:03:50 AM2/2/12
to google-we...@googlegroups.com
Currently under code review:

http://gwt-code-reviews.appspot.com/1634803/

-Alan

On Wed, Feb 1, 2012 at 10:06 AM, Adam <ad...@sevogle.com> wrote:
Well, hopefully their long term support of FF10, will allow it to be used for GWT dev for a while w/o all the hassle of updates all the time.

--
You received this message because you are subscribed to the Google Groups "Google Web Toolkit" group.

Olivier Voortman

unread,
Feb 2, 2012, 5:01:18 AM2/2/12
to Google Web Toolkit
Thank you !! ;-)

Dimitrijević Ivan

unread,
Feb 2, 2012, 6:46:04 AM2/2/12
to google-we...@googlegroups.com

Thomas Broyer

unread,
Feb 2, 2012, 7:24:59 AM2/2/12
to google-we...@googlegroups.com
As Alan said, it won't really:
“Our compatibility plan has two notable shortcomings: it doesn’t work for add-ons with binary components and it doesn’t work for add-ons not hosted on AMO. The vast majority of add-ons don’t contain binary components, which must be recompiled with every version of Firefox in order to continue working.”

And the DevMode plugin has to use a binary component.

marcotrev

unread,
Feb 4, 2012, 8:18:29 AM2/4/12
to Google Web Toolkit
Does the change cover the ESR version too?

Cheers
Marco

Filipe Sousa

unread,
Feb 5, 2012, 7:24:35 AM2/5/12
to google-we...@googlegroups.com
I build it for Fedora 16 x86_64 (only). 
http://dl.dropbox.com/u/5176435/gwt-dev-plugin.xpi

Filipe Sousa

unread,
Feb 6, 2012, 1:06:24 PM2/6/12
to google-we...@googlegroups.com
...and for fedora 16 i686 (no tested)
http://dl.dropbox.com/u/5176435/gwt-dev-plugin-i686.xpi
Message has been deleted

weihnachtsmann

unread,
Feb 6, 2012, 3:45:33 PM2/6/12
to Google Web Toolkit
Could you provide a shell script for plugin building? Your plugin
don't work 4me (Linux Mint 12).

Thx

Filipe Sousa

unread,
Feb 6, 2012, 5:08:03 PM2/6/12
to google-we...@googlegroups.com
After applying the patch under code review I did
$ yum install xulrunner-devel.x86_64
$ make BROWSER=ff100 ARCH=x86_64 DEFAULT_FIREFOX_LIB=/usr/lib64/xulrunner-devel-2 GECKO_LIBS=/usr/lib64/xulrunner-devel-2/lib

misko237

unread,
Feb 7, 2012, 9:28:05 AM2/7/12
to Google Web Toolkit
Does someone have plugin for ubuntu? (Natty if it's important)

Sandro Munda

unread,
Feb 7, 2012, 3:37:32 AM2/7/12
to Google Web Toolkit
Thanks, it works well for me ! Maybe, can you provide a small tutorial
for building the plugin when a new firefox version arrived ? I would
like to contribute !

Filipe Sousa

unread,
Feb 7, 2012, 12:03:03 PM2/7/12
to google-we...@googlegroups.com
I just build the plugin for my own use. Changes made into the code that made it possible are not mime. 
Message has been deleted

Kenny Neal

unread,
Feb 8, 2012, 9:48:08 AM2/8/12
to google-we...@googlegroups.com
I had the same issue. After installing the plugin provided by Filipe, it was still getting the dialog.

I compiled this version for ubuntu 11.04 x64:
http://dl.dropbox.com/u/24610398/gwt-dev-plugin.xpi

Pablo Aguiar

unread,
Feb 8, 2012, 9:15:09 AM2/8/12
to google-we...@googlegroups.com
Works beautifully well on my Debian GNU/Linux (sid) x86_64:

$ aptitude install xulrunner-dev
$ make BROWSER=ff100 ARCH=x86_64 DEFAULT_FIREFOX_LIB=/usr/lib/xulrunner-devel-10.0 GECKO_LIBS=/usr/lib/xulrunner-devel-10.0/lib

Thank you very much Felipe!

Cheers,
-- 
Pablo Aguiar (scorphus) <scor...@gmail.com>
Free/Open Source Software Developer/Consultant
FOSS Infrastructure Specialist
<http://www.phpeclipse.com/wiki/Community>


Miousse

unread,
Feb 8, 2012, 10:14:07 AM2/8/12
to google-we...@googlegroups.com
This xpi works also for OpenSUSE 11.4 / 12.1 x86_64

wbabachan

unread,
Feb 8, 2012, 1:10:06 PM2/8/12
to google-we...@googlegroups.com
Hello everyone,

I have built the GWT Dev Plugin for Firefox 10 and could be downloaded from hier:

https://docs.google.com/leaf?id=0Bz789tz1BWLqNGRhZWFiOWUtODY4Yy00MDU5LTg5ZjItMGE4NjE0MTc1Y2E1

I hope it will help you.

Waruschan Babachan

Thad

unread,
Feb 8, 2012, 1:21:56 PM2/8/12
to Google Web Toolkit
I just installed this, but when I try to run in dev mode, I'm told
"Sorry, the GWT Developer Plugin only supports Firefox 3.0 - 8.0 at
present"

On Feb 8, 1:10 pm, wbabachan <wbabac...@googlemail.com> wrote:
> Hello everyone,
>
> I have built the GWT Dev Plugin for Firefox 10 and could be downloaded from
> hier:
>
> https://docs.google.com/leaf?id=0Bz789tz1BWLqNGRhZWFiOWUtODY4Yy00MDU5...

wbabachan

unread,
Feb 8, 2012, 1:23:46 PM2/8/12
to Google Web Toolkit
This will work only in Linux, Tesed on Fedora 16 64 bit...

Juan Carlos Aranda

unread,
Feb 8, 2012, 1:28:01 PM2/8/12
to google-we...@googlegroups.com
Windows 7 64 bits... ?

2012/2/8 wbabachan <wbab...@googlemail.com>
--
You received this message because you are subscribed to the Google Groups "Google Web Toolkit" group.
To post to this group, send email to google-we...@googlegroups.com.
To unsubscribe from this group, send email to google-web-tool...@googlegroups.com.
For more options, visit this group at http://groups.google.com/group/google-web-toolkit?hl=en.




--
Juan Carlos Aranda
Inteligencia de Negocios

Thad

unread,
Feb 8, 2012, 2:11:50 PM2/8/12
to Google Web Toolkit
Okay. I'm running Linux, but 32-bit.

I see some below asking for Win 7 64-bit. Is their gonna be a standard
location on Google where the current plugins are kept? Like a well-
labeled directory?

Alan Leung

unread,
Feb 8, 2012, 2:16:47 PM2/8/12
to google-we...@googlegroups.com

Thomas Klöber

unread,
Feb 9, 2012, 2:11:22 AM2/9/12
to google-we...@googlegroups.com
Am 08.02.2012 20:16, schrieb Alan Leung:
> The new plugin is pushed:
>
> https://dl.google.com/dl/gwt/plugins/firefox/1.0.10862/gwt-dev-plugin.xpi
great, works on Windows 7 64bit and Windows Server 2003 R2 SP2, 32bit.

Thanx Alan

--
Intelligent Communication Software Vertriebs GmbH
Firmensitz: Kistlerhof Str. 111, 81379 M�nchen
Registergericht: Amtsgericht M�nchen, HRB 88283
Gesch�ftsf�hrer: Albert Fuss

eweye

unread,
Feb 10, 2012, 3:26:49 PM2/10/12
to google-we...@googlegroups.com, klo...@ics.de
Plugin is 99% working on Mac OS X Lion - the 'Copy to Clipboard' function does not appear to be working anymore (it was before Lion update, and update to FF10 + the plugin).  Could this be a Lion issue, or plugin issue?

I'd be happy to open a new issue if there isn't anyone else seeing this - I've searched issues and not found anything directly related

Trent

maticpetek

unread,
Feb 18, 2012, 7:42:27 AM2/18/12
to google-we...@googlegroups.com
Hi,
  This is letter of the topic, but maybe it's useful for someone. In our team we have decided to manually turn off automatic update option for Firefox. We are using FF as primary GWT development environment and every couple of months some update on new version is perform and GWT hosting mode is stop working. Usually when we are in hurry.... It's nothing wrong if you wait month or two as GWT developer with not latest version of FF browser and GWT team + community will prepare update in the meantime.

Regards,
   Matic
------------------
GWT stuff twitter  - http://twitter.com/#!/gwtstuff
Reply all
Reply to author
Forward
0 new messages